before_script:
  - docker info

default:
  image: docker:latest

build:
  stage: build
  script:
    - echo "Hello, $GITLAB_USER_LOGIN!"
    - docker build -t hello-docker-image .
    - docker run hello-docker-image /bin/ls -al

#deploy-prod:
#  stage: deploy
#  script:
#    - echo "This job deploys something from the $CI_COMMIT_BRANCH branch."
